const $ = require('jquery');
require("../css/checkTaskList.less");
require('./modal.js');
const { api, ywCheckApi } = require('./api.js')
const { post, getCookie, getUrlArgObjectNew, emptyBox, downloadExportedData, expJson, initScroll, listenScroll, exportTimeLimit } = require('./utils.js')
require('./../resource/jquery-ui/jquery-ui.min.js');
require('./../resource/jquery-ui/jquery-ui.min.css');
const iconCheck = require("./../images/icon_check.png")
const iconUnCheck = require("./../images/icon_unchecked.png")
const iconCalenBlue = require("./../images/icon_calen_blue.png")
const iconCalenGrey = require("./../images/icon_calen_grey.png")
const iconDown = require("./../images/arrow_down.png")
const iconUp = require("./../images/arrow_up.png")
const loadingImg = require("./../images/loading.gif")
const arrowLeft = require("./../images/arrow_left.png")
const arrowRight = require("./../images/arrow_right.png")
const goUpG = require("./../images/arrow_up_grey.png")
const goUpB = require("./../images/arrow_up_blue.png")
const goDownG = require("./../images/arrow_down_grey.png")
const goDownB = require("./../images/arrow_down_blue.png")
listenScroll()
let pageSet = [], pageSetCopy = [], showNum = 26, scrollTop = 0;
$(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
$(".selectStatus").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
$(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
$(".fpSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
$(".qcSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
let srcUrl = $("#contentIframe", parent.document).attr("src")
let statisticsType = getUrlArgObjectNew("dateType", srcUrl) || getUrlArgObjectNew("shijian", srcUrl) || ""
let check = getUrlArgObjectNew("check", srcUrl) || ""
let chengdu = getUrlArgObjectNew("chengdu", srcUrl) || ""
let deptIdPram = getUrlArgObjectNew("deptId", srcUrl) || ""
let deptNamePram = getUrlArgObjectNew("deptName", srcUrl) || ""
let docName = getUrlArgObjectNew("docName", srcUrl) || ""
let startDateParam = getUrlArgObjectNew("startDateParam", srcUrl) || ""
let endDateParam = getUrlArgObjectNew("endDateParam", srcUrl) || ""
let tabList = [], name = "", behospitalCode = "", deptName = "", deptNameTemp = "", behosDateStart = "", level = "", behosDateEnd = "", scoreSum = 0, nameTemp = "",
    behospitalCodeTemp = "", levelTemp = "", creatStatus = "", deptId = "", deptIdTemp = "", doctorName = "", doctorNameTemp = "", doctorNum = "", doctorNumTemp = "",
    fpCheckStatus = "", fpCheckStatusTemp = "", fpCheckName = "", fpCheckNameTemp = "", qcCheckName = "", qcCheckNameTemp = "", qcCheckMain = "", qcCheckMainTemp = "", qcCheckStatus = "", qcCheckStatusTemp = "", fpCheckDateStart = "", fpCheckDateEnd = "",
    qcCheckDateStart = "", qcCheckDateEnd = "", data_desc = ["leaveHospitalDate"], data_asc = [];
let isPlacefile = getCookie('isPlacefile') || 1

$("#filterToggler").click(function () {
    const text = $(this).text();
    $(".toggle-item").slideToggle();
    $(this).text(text === "收起筛选" ? "展开筛选" : "收起筛选").toggleClass("up");
});

if (isPlacefile != 1) {
    data_desc = ["behospitalDate"]
}
if (chengdu) {
    levelTemp = chengdu
    level = chengdu
    $('.selectLevel').html(chengdu)
    $(".levelList").css("display", "none")
    $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)

}
if (check) {
    creatStatus = check
    status = check
    $('.selectStatus').html(check)
    $(".statusList").css("display", "none")
    $(".selectStatus").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
}

if (docName) {
    doctorNameTemp = docName
    doctorName = docName
    $('.doctorInp').val(docName)
}
if (deptNamePram) {
    deptIdTemp = deptId = deptIdPram
    deptName = deptNameTemp = deptNamePram
    if (deptNamePram.length > 10) {
        $('.selectDept').html(deptNamePram.substring(0, 8) + '...')
    } else {
        $('.selectDept').html(deptNamePram)
    }
    $('.selectDept ').attr('title', deptNamePram)
    $(".deptList").css("display", "none")
    $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
}
$('.datapickerBox').append(`<img class="iconCalen" src=${iconCalenGrey} />`)
$('.iconCalen').on("mouseenter", function (e) {
    $(this).attr("src", iconCalenBlue)
})
$('.iconCalen').on("mouseleave", function (e) {
    $(this).attr("src", iconCalenGrey)
})
$('.iconCalen').on("click", function (e) {
    $(this).parent().find("input").focus()
})
$('.recordScoreBtn').css("opacity", hasData('FUNC000017') ? '1' : '0.5')

//
$(".menu .page", parent.document).removeClass("active")
$(parent.document).find(".menu .page[code=YH-ZKHC-LBXQ]").addClass("active")

//判断有无某一权限
function hasData(data) {
    let trdObj = JSON.parse(getCookie("trdObj"))
    let lis = trdObj['YH-KSZR-BLZK_XQ']
    if (!lis) {
        return false
    }
    if (lis.indexOf(data) > -1) {//有权限
        return true
    }
    return false;
}
function getTabData(activePage, qcCheckMain) {
    const param = {
        behospitalCode: behospitalCode,//科室
        name: name,//病人姓名
        creatStatus: creatStatus,
        hospitalId: getCookie("hospitalid"),//医院id
        level: level,//病历等级
        asc: data_asc,     //升序
        desc: data_desc,       //降序
        doctorName: doctorName,
        department: deptName == "全部" ? "" : deptName || '',
        //doctorCode: doctorNum,
        startDate: isPlacefile == 1 ? behosDateStart : '', //出院日期--开始时间
        endDate: isPlacefile == 1 ? behosDateEnd : '', //出院日期--结束时间
        //"behosDateStart": isPlacefile==1?'':behosDateStart, //入院日期--开始时间
        //"behosDateEnd": isPlacefile==1?'':behosDateEnd, //入院日期--结束时间
        // size: 15,
        // statisticsType:statisticsType,
        // mrName: fpCheckName,  //首页核查人员
        // chName: qcCheckName,   //病历核查人员
        /*checkStatus: qcCheckStatus?Number(qcCheckStatus):qcCheckStatus, //病历核查状态
        mrStatus: fpCheckStatus?Number(fpCheckStatus):fpCheckStatus,   //首页核查状态（1：已核查，0：未核查）
        diagnose: qcCheckMain,   //病历主症状..........
        chTimeStart: qcCheckDateStart.replace(/\//g,'-'), //病历核查起始时间
        chTimeEnd: qcCheckDateEnd.replace(/\//g,'-'), //病历核查截止时间
        mrTimeStart: fpCheckDateStart.replace(/\//g,'-'), //首页核查起始时间
        mrTimeEnd: fpCheckDateEnd.replace(/\//g,'-'),*/ //首页核查截止时间
    }
    $('.pagination').html("")
    $('.tbody').html(emptyBox('努力加载中...', '', 1))
    return post(ywCheckApi.getUserList, param).then(res => {
        if (res.data.code == '0') {
            tabList = res.data.data.records
            const totalPage = res.data.data.pages
            const totalNum = res.data.data.total
            renderTab(tabList, activePage)
            renderPagination(totalPage, Number(activePage), totalNum)
            if (totalPage > 1) {
                renderPagination(totalPage, Number(activePage), totalNum)
            } else {
                $('.pagination').html("")
            }
        } else {
            $.alerModal({ "message": res.data.msg, type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
        }
    }).catch((e) => {

    })
}

//getTabData(1)

$(".filter").on("click", function (e) {
    behosDateStart = $("#datepicker").val()
    behosDateEnd = $("#datepicker2").val()
    fpCheckDateStart = $("#datepickerFp1").val()
    fpCheckDateEnd = $("#datepickerFp2").val()
    qcCheckDateStart = $("#datepickerQc1").val()
    qcCheckDateEnd = $("#datepickerQc2").val()
    nameTemp = $("#name").val()
    doctorNameTemp = $("#doctorName").val()
    behospitalCodeTemp = $("#behospitalCode").val()
    const behosDateStartTime = new Date(behosDateStart).getTime()
    const behosDateEndTime = new Date(behosDateEnd).getTime()
    const qcCheckDateStartTime = new Date(qcCheckDateStart).getTime()
    const qcCheckDateEndTime = new Date(qcCheckDateEnd).getTime()
    const fpCheckDateStartTime = new Date(fpCheckDateStart).getTime()
    const fpCheckDateEndTime = new Date(fpCheckDateEnd).getTime()
    if (behosDateStartTime > behosDateEndTime) {
        $.alerModal({ "message": '出院日期开始时间不能大于结束时间~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
        return
    }
    if (qcCheckDateStartTime > qcCheckDateEndTime) {
        $.alerModal({ "message": '病历核查开始时间不能大于结束时间~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
        return
    }
    if (fpCheckDateStartTime > fpCheckDateEndTime) {
        $.alerModal({ "message": '病案首页核查开始时间不能大于结束时间~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
        return
    }
    if (behosDateStart) {
        behosDateStart = behosDateStart.replace(/\//g, '-') + ' 00:00:00'
    }
    if (behosDateEnd) {
        behosDateEnd = behosDateEnd.replace(/\//g, '-') + ' 23:59:59'
    }
    if (fpCheckDateStart) {
        fpCheckDateStart = fpCheckDateStart + ' 00:00:00'
    }
    if (fpCheckDateEnd) {
        fpCheckDateEnd = fpCheckDateEnd + ' 23:59:59'
    }
    if (qcCheckDateStart) {
        qcCheckDateStart = qcCheckDateStart + ' 00:00:00'
    }
    if (qcCheckDateEnd) {
        qcCheckDateEnd = qcCheckDateEnd + ' 23:59:59'
    }
    name = nameTemp
    behospitalCode = behospitalCodeTemp
    level = levelTemp === "全部" ? "" : levelTemp
    status = creatStatus === "全部" ? "" : creatStatus
    deptId = deptIdTemp
    deptName = deptNameTemp
    doctorName = doctorNameTemp
    fpCheckName = fpCheckNameTemp
    qcCheckName = qcCheckNameTemp

    qcCheckMain = qcCheckMainTemp

    doctorNum = doctorNumTemp
    fpCheckStatus = fpCheckStatusTemp
    qcCheckStatus = qcCheckStatusTemp
    getTabData(1, qcCheckMain)
})

$(".abnormalClear").on("click", function (e) {
    tabList = [];
    name = "";
    behospitalCode = "";
    level = "";
    scoreSum = 0;
    nameTemp = "";
    behospitalCodeTemp = "";
    levelTemp = "";
    creatStatus = "";
    deptId = "";
    deptIdTemp = "";
    deptName = deptNameTemp = "";
    doctorName = "";
    fpCheckName = "";
    qcCheckName = "";
    qcCheckMain = "";
    doctorNum = "";
    doctorNameTemp = "";
    doctorNumTemp = "";
    fpCheckNameTemp = "";
    qcCheckNameTemp = "";
    qcCheckMainTemp = "";
    fpCheckStatus = "";
    fpCheckStatusTemp = "";
    qcCheckStatus = "";
    qcCheckStatusTemp = ""
    data_desc = ["leaveHospitalDate"]
    if (isPlacefile != 1) {
        data_desc = ["behospitalDate"]
    }
    data_asc = [];
    $('.patientNumInp').val('')
    $('.patientNameInp').val('')
    $('.doctorInp').val('')
    $('.doctorNumInp').val('')
    $('.doctorInp').val('')
    $('.fpCheckPeople').val('')
    $('.qcCheckPeople').val('')
    $('.qcCheckMain').val('')
    // $('#datepicker').val('')
    // $('#datepicker2').val('')
    //默认日期为近一周
    $("#datepicker").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd",
    }).datepicker("setDate", "-6d");
    $("#datepicker2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", new Date());
    $("#datepickerFp1").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd",
    }).datepicker("setDate", "");
    $("#datepickerFp2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    $("#datepickerQc1").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd",
    }).datepicker("setDate", "");
    $("#datepickerQc2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    $('.selectDept ').html('全部')
    $(".deptList").css("display", "none")
    $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    // $('.selectDept ').addClass('unSelect')
    $('.selectLevel').html('全部')
    $(".levelList").css("display", "none")
    $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)

    $('.selectStatus').html('全部')
    $(".statusList").css("display", "none")
    $(".selectStatus").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    // $('.selectLevel ').addClass('unSelect')
    $('.fpSelectCheck').html('全部')
    $(".fpCheckList").css("display", "none")
    $(".fpSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    $('.qcSelectCheck').html('全部')
    $(".qcCheckList").css("display", "none")
    $(".qcSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
    $("th[code]").removeClass("asc desc")
    if (isPlacefile == 1) {
        $(".leaveHospitalDate").addClass(" desc")
    } else {
        $(".behospitalDate").addClass(" desc")
    }
    behosDateStart = $("#datepicker").val()
    behosDateEnd = $("#datepicker2").val()
    if (behosDateStart) {
        behosDateStart = behosDateStart.replace(/\//g, '-') + ' 00:00:00'
    }
    if (behosDateEnd) {
        behosDateEnd = behosDateEnd.replace(/\//g, '-') + ' 23:59:59'
    }
    fpCheckDateStart = ""
    fpCheckDateEnd = ""
    qcCheckDateStart = ""
    qcCheckDateEnd = ""
    getTabData(1)
})
function bindOrder() {
    $("th[code]").off("click").on("click", function (e) {
        const code = $(this).attr("code");
        if (data_asc[0] === code) {
            data_desc = [code];
            data_asc = [];
            $("th[code]").removeClass("asc desc");
            $(this).addClass("desc");
        } else {
            data_desc = [];
            data_asc = [code];
            $("th[code]").removeClass("asc desc");
            $(this).addClass("asc");
        }
        getTabData(1);
    });
}
const moreKeys = 'medHomePage,admissionNote,firstCourseNote,courseRecord,operationInfo,dischargeNote,docAdviceNote,otherCase';//需要收起的字段
function get30Str(str) {
    let part1 = '', part2 = '';
    let istr = str || '-';
    if (istr.length > 30) {
        part1 = istr.substr(0, 30);
        part2 = istr.substr(30);
        return `<div class="more-cont"><span>${part1}</span><span class="part-2">${part2}</span><i>...</i><a class="more-btn">更多</a></div>`;
    }
    return `<div class="more-cont"><span>${istr}</span></div>`;
}
pageSet = $(".tabTitle th[key]").map((i, it) => {
    return {
        val: $(it).attr('key'),
        status: 1,
    }
});
function renderTab(data, activePage) {
    let str = ``
    let hasSelectAll = true;
    if (data.length === 0) {
        $('.tbody').html(emptyBox(null, showNum))
        // initScroll("qcListDept","YX",1)
        return;
    }
    console.log(data)
    for (let i = 0; i < data.length; i++) {
        const item = data[i]

        str += `
            <tr  data-index=${i}>
                <td class="patientNameSpan textCenter">${item.behospitalCode || ""}</td>
                <td class="textCenter">${item.jobCreateTime || "-"}</td>
                <td class="textCenter">${item.creatStatus || "-"}</td>
                <td class="textCenter">${item.behDeptName || "-"}</td>
                <td class="textCenter">${item.name || "-"}</td>
                <td class="textCenter">${item.fileCode || "-"}</td>
                <td class="textCenter">${item.attendingDoctor || "-"}</td>
                <td class="textCenter">${item.leaveHospitalDate || "-"}</td>
                <td class="textCenter">${item.jobDistributionTime || "-"}</td>
                <td class="textCenter">${item.checkTime || "-"}</td>
                <td class="textCenter">${item.jobCreatorName || "-"}</td>
                <td class="textCenter">${item.score || "-"}</td>
                <td class="textCenter">${item.level || "-"}</td>
                <td class="textCenter">${item.scoreRes || "-"}</td>
            </tr>
        `;
        for (let j = 0; j < pageSet.length; j++) {
            if (pageSet[j].status === 1) {
                console.log(pageSet[j])
                colName = pageSet[j].val;
                /*if(colName === "level"){
                    str +=  `<td class="textCenter"><span data-index=${i}>${item[colName]}</span></td>`
                }else */if (moreKeys.indexOf(colName) > -1) {
                    str += `<td class="textCenter">${get30Str(item[colName])}</td>`
                } else {
                    str += `<td class="textCenter"><span data-index=${i} class="${colName === 'name' ? 'patientNameSpan' : ''} ">${item[colName] == null ? '-' : item[colName]}</span></td>`
                }
            }
        }
        str += "</tr>"
    }
    $('.tbody').html(str)
    bindScoreDetail()

}

function bindScoreDetail() {
    $('.tbody').on('click', 'tr .patientNameSpan', function (e) {
        console.log(tabList)
        console.log($(this).parent().index())
        const index = $(this).parent().index()
        const id = tabList[index].behospitalCode
        const age = tabList[index].age;
        const checkStatus = tabList[index].checkStatus
        scoreDetail(id, age, getCookie("hospitalid"), 'YH-ZKHC-LBXQ', tabList[index].name)
    });
}
function scoreDetail(id, age, hid, code) {

    window.open(`./qcScore.html?id=${id}&age=${age}&hid=${hid}&code=${code}`)
}
function isTextCenter(name) {
    const textCenterList = ['level', 'scoreRes', 'sex', 'age', 'behospitalDate', 'leaveHospitalDate', 'placefileDate', 'gradeTime', 'checkStatus', 'mrStatus', 'mrTime', 'chTime', 'chName', 'mrName', 'diagnose', 'behDoctorName', 'directorDoctorName', 'doctorName', 'name']
    return textCenterList.findIndex(item => item == name) > -1
}

//选择病历等级
$('.selectLevel').on("click", function (e) {
    e.stopPropagation()
    $(".deptList ").css("display", "none")
    $(".selectDept .arrow").attr("src", iconDown)
    $(".checkList ").css("display", "none")
    $(".selectCheck .arrow").attr("src", iconDown)
    $(".fpCheckList ").css("display", "none")
    $(".fpSelectCheck .arrow").attr("src", iconDown)
    $(".qcSelectCheck .arrow").attr("src", iconDown)
    $(".qcCheckList ").css("display", "none")
    const showList = $(".levelList ").css("display")
    if (showList == "none" || !showList) {
        $(".levelList ").css("display", "block")
        $(".selectLevel .arrow").attr("src", iconUp)
    } else {
        $(".levelList ").css("display", "none")
        $(".selectLevel .arrow").attr("src", iconDown)
    }
})

//选择核查状态
$('.selectStatus').on("click", function (e) {
    e.stopPropagation()
    $(".deptList ").css("display", "none")
    $(".selectDept .arrow").attr("src", iconDown)
    $(".checkList ").css("display", "none")
    $(".selectCheck .arrow").attr("src", iconDown)
    $(".fpCheckList ").css("display", "none")
    $(".fpSelectCheck .arrow").attr("src", iconDown)
    $(".qcSelectCheck .arrow").attr("src", iconDown)
    $(".qcCheckList ").css("display", "none")
    const showList = $(".statusList").css("display")
    if (showList == "none" || !showList) {
        $(".statusList").css("display", "block")
        $(".selectStatus .arrow").attr("src", iconUp)
    } else {
        $(".statusList").css("display", "none")
        $(".selectStatus .arrow").attr("src", iconDown)
    }
})



//选择病案首页核查状态
$('.fpSelectCheck').on("click", function (e) {
    e.stopPropagation()
    $(".deptList ").css("display", "none")
    $(".selectDept .arrow").attr("src", iconDown)
    $(".levelList ").css("display", "none")
    $(".selectLevel .arrow").attr("src", iconDown)
    $(".statusList").css("display", "none")
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".qcSelectCheck .arrow").attr("src", iconDown)
    $(".qcCheckList ").css("display", "none")
    const showList = $(".fpCheckList ").css("display")
    if (showList == "none" || !showList) {
        $(".fpCheckList ").css("display", "block")
        $(".fpSelectCheck .arrow").attr("src", iconUp)
    } else {
        $(".fpCheckList ").css("display", "none")
        $(".fpSelectCheck .arrow").attr("src", iconDown)
    }
})

//选择病历核查状态
$('.qcSelectCheck').on("click", function (e) {
    e.stopPropagation()
    $(".deptList ").css("display", "none")
    $(".selectDept .arrow").attr("src", iconDown)
    $(".levelList ").css("display", "none")
    $(".selectLevel .arrow").attr("src", iconDown)
    $(".statusList").css("display", "none")
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".fpSelectCheck .arrow").attr("src", iconDown)
    $(".fpCheckList ").css("display", "none")
    const showList = $(".qcCheckList ").css("display")
    if (showList == "none" || !showList) {
        $(".qcCheckList ").css("display", "block")
        $(".qcSelectCheck .arrow").attr("src", iconUp)
    } else {
        $(".qcCheckList ").css("display", "none")
        $(".qcSelectCheck .arrow").attr("src", iconDown)
    }
})

bindLeveldSelect()
//病历等级选择
function bindLeveldSelect() {
    $('.levelItem').on("click", function () {
        const levelItemName = $(this).attr("data-name")
        const levelItemItemId = $(this).attr("data-id")
        levelTemp = levelItemItemId
        $('.selectLevel').html(levelItemName)
        $(".levelList").css("display", "none")
        $(".selectLevel").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.selectLevel').removeClass('unSelect')
    })
}

bindStatusdSelect()
//病历核查状态选中
function bindStatusdSelect() {
    $('.statusItem').on("click", function () {
        const levelItemName = $(this).attr("data-name")
        const levelItemItemId = $(this).attr("data-id")
        creatStatus = levelItemItemId
        $('.selectStatus').html(levelItemName)
        $(".statusList").css("display", "none")
        $(".selectStatus").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.selectStatus').removeClass('unSelect')
    })
}

bindCheckedSelectFp()
//病案首页核查状态选择
function bindCheckedSelectFp() {
    $('.fpCheckItem').on("click", function () {
        const fpCheckItemName = $(this).attr("data-name")
        const fpCheckItemItemId = $(this).attr("data-id") || ""
        fpCheckStatusTemp = fpCheckItemItemId
        $('.fpSelectCheck').html(fpCheckItemName)
        $(".fpCheckList").css("display", "none")
        $(".fpSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.fpSelectCheck').removeClass('unSelect')
    })
}

bindCheckedSelectQc()
//病历核查状态选择
function bindCheckedSelectQc() {
    $('.qcCheckItem').on("click", function () {
        const qcCheckItemName = $(this).attr("data-name")
        const qcCheckItemItemId = $(this).attr("data-id") || ""
        qcCheckStatusTemp = qcCheckItemItemId
        $('.qcSelectCheck').html(qcCheckItemName)
        $(".qcCheckList").css("display", "none")
        $(".qcSelectCheck").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.qcSelectCheck').removeClass('unSelect')
    })
}

$('.selectDept').on("click", function (e) {
    e.stopPropagation()
    $(".levelList ").css("display", "none")
    $(".selectLevel .arrow").attr("src", iconDown)
    $(".statusList").css("display", "none")
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".checkList ").css("display", "none")
    $(".selectCheck .arrow").attr("src", iconDown)
    $(".fpCheckList ").css("display", "none")
    $(".fpSelectCheck .arrow").attr("src", iconDown)
    $(".qcCheckList ").css("display", "none")
    $(".qcSelectCheck .arrow").attr("src", iconDown)
    const showList = $(".deptList ").css("display")
    if (showList == "none" || !showList) {
        $(".deptList ").css("display", "block")
        $(".selectDept .arrow").attr("src", iconUp)
    } else {
        $(".deptList ").css("display", "none")
        $(".selectDept .arrow").attr("src", iconDown)
    }
})

//获取科室列表
getDeptList()
function getDeptList() {
    post(api.getDeptListDept, { inputStr: "" }).then(res => {
        if (res.data.code == '0') {
            const deptList = res.data.data
            rendeDeptList(deptList)
        } else { }
    }).catch((e) => {

    })
}

function rendeDeptList(deptList) {
    console.log(deptList)
    let str = `<li class="deptItem ellipsis" data-id=" " data-name="全部">全部</li>`
    for (let i = 0; i < deptList.length; i++) {
        str += `<li class="deptItem ellipsis" title=${deptList[i].deptName} data-id=${deptList[i].deptId} data-name=${deptList[i].deptName}> ${deptList[i].deptName}</li>`
    }
    $('.deptList').html(str)
    bindDeptSelect()
}
//科室选择
function bindDeptSelect() {
    $('.deptItem').on("click", function () {
        const deptItemName = $(this).attr("data-name")
        const deptItemId = $(this).attr("data-id")
        deptIdTemp = deptItemId
        deptName = deptNamePram = deptNameTemp = deptItemName

        if (deptItemName.length > 10) {
            $('.selectDept').val(deptItemName.substring(0, 8) + '...')
        } else {
            $('.selectDept').val(deptItemName)

        }
        console.log($('.selectDept').val(deptItemName))
        $('.selectDept ').attr('title', deptItemName)
        $(".selectDept").append(`<img class="arrow" src=${iconDown} alt="下拉">`)
        $('.selectDept').removeClass('unSelect')
        $(".deptList").css("display", "none")
    })
}
function loading() {
    const str = `
    <div class="loadingBox">
            <div class="mask"></div>
            <img class="loadingImg" src=${loadingImg}  alt="loading" />
        </div>
    `
    $("#mainBox", parent.document).append(str)
}
function hideLoading() {
    $("#mainBox .loadingBox", parent.document).remove()
}
$(".patientNumInp").on("input", function (e) {
    const val = $(this).val().trim()
    let beCode = behospitalCode;
    const patrn = /[`~!@#$%^&*()_\-+=<>?:"{}|,.\/;'\\[\]·~！@#￥%……&*（）——\-+={}|《》？：“”【】、；‘'，。、]/g;
    beCode = val.replace(patrn, function (x) {
        return "\\" + x;
    });
    behospitalCodeTemp = beCode
})
$(".patientNameInp").on("input", function (e) {
    const val = $(this).val().trim()
    nameTemp = val
})
$(".doctorInp").on("input", function (e) {
    const val = $(this).val().trim()
    doctorNameTemp = val
})
$(".fpCheckPeople").on("input", function (e) {
    const val = $(this).val().trim()
    fpCheckNameTemp = val
})
$(".qcCheckPeople").on("input", function (e) {
    const val = $(this).val().trim()
    qcCheckNameTemp = val
})
$(".qcCheckMain").on("input", function (e) {
    const val = $(this).val().trim()
    qcCheckMain = qcCheckMainTemp = val
})
$(".doctorNumInp").on("input", function (e) {
    const val = $(this).val().trim();
    doctorNumTemp = val
})
$(function () {
    $.datepicker.regional['zh-CN'] = {
        clearText: '清除',
        clearStatus: '清除已选e799bee5baa6e59b9ee7ad9431333361303131日期',
        closeText: '关闭',
        closeStatus: '不改变当前选择',
        prevText: '<上月',
        prevStatus: '显示上月',
        prevBigText: '<<',
        prevBigStatus: '显示上一年',
        nextText: '下月>',
        nextStatus: '显示下月',
        nextBigText: '>>',
        nextBigStatus: '显示下一年',
        currentText: '今天',
        currentStatus: '显示本月',
        monthNames: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        monthNamesShort: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        yearNamesShort: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        monthStatus: '选择月份',
        yearStatus: '选择年份',
        weekHeader: '周',
        weekStatus: '年内周次',
        dayNames: ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'],
        dayNamesShort: ['周日', '周一', '周二', '周三', '周四', '周五', '周六'],
        dayNamesMin: ['日', '一', '二', '三', '四', '五', '六'],
        dayStatus: '设置 DD 为一周起始',
        dateStatus: '选择 m月 d日, DD',
        dateFormat: 'yy-mm-dd',
        firstDay: 1,
        initStatus: '请选择日期',
        isRTL: false
    };
    $.datepicker.setDefaults($.datepicker.regional['zh-CN']);

    let startDate = "", endDate = new Date()
    let year = new Date().getFullYear()
    let month = new Date().getMonth() + 1
    if (statisticsType == '1') {
        startDate = new Date(`${year}-${month}-01`)
    } else if (statisticsType == '2') {
        startDate = new Date(`${year}-01-01`)
    } else if (statisticsType == '3') {
        startDate = new Date(startDateParam)
        endDate = new Date(endDateParam)
    } else {
        startDate = "-6d"
    }
    $("#datepicker").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd",
    }).datepicker("setDate", startDate);
    $("#datepicker2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", endDate);
    $("#datepickerFp1").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    $("#datepickerFp2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    $("#datepickerQc1").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    $("#datepickerQc2").datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat: "yy/mm/dd"
    }).datepicker("setDate", "");
    //getPageSet().then(res =>{
    $(".filter").click();   //初始查询
    //})
    bindOrder()
});

//分页渲染
function renderPagination(totalPage, activePage, totalNum) {
    let str = `<span class="totalSum">共${totalPage}页/${totalNum}条数据</span><span class="prePage"><img class="arrowPage" src=${arrowLeft} /></span>`
    if (totalPage <= 6) {
        for (let i = 1; i <= totalPage; i++) {

            str += `<span class="pageNum ${'page' + i}" data-page=${i}>${i}</span>`
        }
    } else {
        if (activePage <= 3) { //选中页数小于4
            for (let i = 1; i <= 4; i++) {
                str += `<span class="pageNum ${'page' + i}" data-page=${i}>${i}</span>`
            }
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page' + totalPage}" data-page=${totalPage}>${totalPage}</span>`

        } else if (activePage > totalPage - 3) {
            str += `<span class="pageNum page1" data-page=1>1</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page' + (totalPage - 3)}" data-page=${totalPage - 3}>${totalPage - 3}</span>`
            str += `<span class="pageNum ${'page' + (totalPage - 2)}" data-page=${totalPage - 2}>${totalPage - 2}</span>`
            str += `<span class="pageNum ${'page' + (totalPage - 1)}" data-page=${totalPage - 1}>${totalPage - 1}</span>`
            str += `<span class="pageNum ${'page' + totalPage}" data-page=${totalPage}>${totalPage}</span>`
        } else {
            str += `<span class="pageNum page1" data-page=1>1</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page' + (activePage - 1)}" data-page=${activePage - 1}>${activePage - 1}</span>`
            str += `<span class="pageNum ${'page' + activePage}" data-page=${activePage}>${activePage}</span>`
            str += `<span class="pageNum ${'page' + (activePage + 1)}" data-page=${activePage + 1}>${activePage + 1}</span>`
            str += `<span class="more" >...</span>`
            str += `<span class="pageNum ${'page' + totalPage}" data-page=${totalPage}>${totalPage}</span>`
        }

    }
    str += `<span class="nextPage"><img class="arrowPage" src=${arrowRight} /></span>`
    $('.pagination').html(str)
    $('.page' + activePage).addClass('activePage')
    $(".pageNum").on("click", function (e) {
        const activePageNow = Number($(this).attr('data-page'))
        getTabData(activePageNow)
        // renderPagination(totalPage,activePageNow,totalNum)
    })
    $(".prePage").on("click", function (e) {
        let activePageNow = Number($(".activePage").attr('data-page'))
        if (activePageNow > 1) {
            activePageNow--
            getTabData(activePageNow)
            // renderPagination(totalPage,activePageNow,totalNum)
        }
    })
    $(".nextPage").on("click", function (e) {
        let activePageNow = Number($(".activePage").attr('data-page'))
        if (activePageNow < totalPage) {
            activePageNow++
            getTabData(activePageNow)
            // renderPagination(totalPage,activePageNow,totalNum)
        }
    })

}

$(document).on("click", function () {
    $(".statusList").css("display", "none")
    $(".levelList ").css("display", "none")
    $(".deptList").css("display", "none")
    $(".checkList").css("display", "none")
    $(".fpCheckList").css("display", "none")
    $(".qcCheckList").css("display", "none")
    $(".selectDept .arrow").attr("src", iconDown)
    $(".selectLevel .arrow").attr("src", iconDown)
    $(".selectStatus .arrow").attr("src", iconDown)
    $(".selectCheck .arrow").attr("src", iconDown)
    $(".fpSelectCheck .arrow").attr("src", iconDown)
    $(".qcSelectCheck .arrow").attr("src", iconDown)
})



let radioCheck = 1;
$((function ($) {
    $('.export').click(function () {
        const behosDateStartTime = new Date(behosDateStart).getTime()
        const behosDateEndTime = new Date(behosDateEnd).getTime()
        if (behosDateStartTime > behosDateEndTime) {
            $.alerModal({ "message": '开始时间不能大于结束时间~', type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
            return
        }
        const param = {
            "name": name,
            "behospitalCode": behospitalCode,
            "deptId": deptId.trim(),
            //"doctorCode":doctorNum,
            "doctorName": doctorName,
            "hospitalId": getCookie("hospitalid"),//医院id
            "asc": data_asc,     //升序
            "desc": data_desc,       //降序
            "startDate": isPlacefile == 1 ? behosDateStart : '', //出院日期--开始时间
            "endDate": isPlacefile == 1 ? behosDateEnd : '', //出院日期--结束时间
            //"behosDateStart": isPlacefile==1?'':behosDateStart, //入院日期--开始时间
            //"behosDateEnd": isPlacefile==1?'':behosDateEnd, //入院日期--结束时间
            "isPlacefile": isPlacefile,
            "level": level,
            "name": name,
            // "mrName": fpCheckName,  //首页核查人员
            // "chName": qcCheckName,   //病历核查人员
            /*"checkStatus": qcCheckStatus?Number(qcCheckStatus):qcCheckStatus, //病历核查状态
            "mrStatus": fpCheckStatus?Number(fpCheckStatus):fpCheckStatus,   //首页核查状态（1：已核查，0：未核查）
            "diagnose": qcCheckMain,   //病历主症状..........
            "chTimeStart": qcCheckDateStart.replace(/\//g,'-'), //病历核查起始时间
            "chTimeEnd": qcCheckDateEnd.replace(/\//g,'-'), //病历核查截止时间
            "mrTimeStart": fpCheckDateStart.replace(/\//g,'-'), //首页核查起始时间
            "mrTimeEnd": fpCheckDateEnd.replace(/\//g,'-'), //首页核查截止时间
            "deptName":deptName=="全部"?"":deptName||'',
            "statisticsType":statisticsType,*/
        }
        let time = exportTimeLimit.yiwuTime
        if ((new Date(behosDateEnd) - new Date(behosDateStart)) / 24 / 60 / 60 / 1000 > time) {
            $.alerModal({ "message": `最多只能导出${time}天`, type: "tip", time: '1000', isFather: true, fatherWrapper: $("#mainBox", parent.document) });
            return
        }
        expJson(api.qualityControlExportByDept, param).then(res => {
            $(".divModal", parent.document).html("")
            downloadExportedData(res.data, behosDateStart.slice(0, 10).replace(/-/g, "") + "-" + behosDateEnd.slice(0, 10).replace(/-/g, "") + "抽查住院病历质量情况.xls")
        })

    })
})($));